$alias fdopen='fdopen'(%val,%ref)
      include 'phigs.f1.h'			! get the HP-PHIGS aliases
      program Polyline				! program "Polyline.f"
      include 'phigs.f2.h'			! get the HP-PHIGS constants

      integer*4	WorkstnID			! workstation identifier
      parameter (WorkstnID=1)			! value chosen by the user
      integer*4	ConnID				! connection identifier
      integer*4	WorkstnType			! workstation type
      parameter (WorkstnType=POIDDX)		! out/in, direct, dbl bfr, X
      integer*4	TheCurve			! display list structure root
      parameter (TheCurve=1)			! value chosen by the user
      real	X(100), Y(100)			! points for polyline
      integer*4	I				! loop control variable
      real	Theta, Radius			! temporary variables

      real	rad, deg			! type the statement function
      integer*4 fdopen				! to get file descriptor
      rad(deg)=	((deg)*3.14159265358979/180.)	! convert degrees to radians

      call popph(fdopen(fnum(7), 'w'//char(0)), 0)	! open phigs
      call pue004('/dev/screen/phigs_window', ConnID)	! get connection ID
      call popwk(WorkstnID, ConnID, WorkstnType)! open workstation
      call popst(TheCurve)			! open display list structure
      Theta=0.					! direction
      Radius=0.					! distance from center
      do I=1, 100				! for each point...
          X(I)=(Radius*cos(Theta)+1)*.5		! \  convert polar coords
          Y(I)=(Radius*sin(Theta)+1)*.5		! /  to rectangular coords
          Theta=Theta+rad(73.)			! roughly pentagonal
          Radius=Radius+0.01			! enlarge it slightly
      end do
      call ppl(100, X, Y)			! polyline with 100 points
      call pclst				! close display list structure
      call ppost(WorkstnID, TheCurve, 1.)	! mark structure for display
      call puwk(WorkstnID, PPERFO)		! update the workstation
      call pclwk(WorkstnID)			! close workstation
      call pclph				! close phigs
      stop					! stop processing
      end					! end of program
